Subject: wpine: script to allow Wyse arrow keys

From: Knute Snortum <[email-masked]>
Date: Sat, 11 Feb 1995 08:28:01 -0800 (PST)

There was a dumb little mistake in my "wpine" script: it had an absolute
path when it called pine which is not necessary.

Originally I had called the script "pine" and put it higher in the path 
than the binary pine, so I had to call it explicitly.  But my system 
remembers the last place it executes a file from, so the first time I 
invoked "pine" I got the script, but the second time I got the binary.  
So I just renamed my script "wpine" but forgot to take out the absolute path.

It's easy to edit the script, but I thought I'd repost them.

--- Knute Snortum			Internet: [email-masked]
    MAS Inc.				Compuserve: 72144,1646
#
# wpine - make arrow (and other) keys work in pine on Wyse-type terminals
#

trap wyse.pine.reset 0 1 2 3 15
wyse.pine.setup
pine
#
# wyse.pine.setup - Setup some keys on a Wyse terminal to work in pine
#

echo "\nSetting up Wyse arrow and function keys..."

# Next/Prev Page

echo "\033Z1r \0177\c"
echo "\033Z1w-\0177\c"

# Char/Line delete

echo "\033Z15\04\0177\c"
echo "\033Z16\013\0177\c"

# Arrow keys

echo "\033Z1+\033[A\0177\c"
echo "\033Z1,\033[B\0177\c"
echo "\033Z1.\033[C\0177\c"
echo "\033Z1-\033[D\0177\c"

echo "Done\n"
#
# wyse.pine.reset - Reset standard Wyse keys
#

echo "\nResetting standard Wyse arrow/function keys..."

# Next/Prev Page

echo "\033Z1r\0177\c"
echo "\033Z1w\0177\c"

# Char/Line delete

echo "\033Z15\0177\c"
echo "\033Z16\0177\c"

# Arrow keys

echo "\033Z1+\0177\c"
echo "\033Z1.\0177\c"
echo "\033Z1,\0177\c"
echo "\033Z1-\0177\c"

echo "Done.\n"